Skip to main content
POST
Create area resource

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Body

application/json
resource_type
string
resource_ref
any
label
string | null
position
integer | null
idempotency_key
string

Stable request key for a company definition edit.

Response

AreaResourceResponse.

company_commit_sha
string
required
id
string
required
area_id
string
required
workspace_id
string
required
resource_type
string
required
resource_ref
any
required
label
string | null
required
position
integer
required
created_at
string
required
created_by
string | null
required